| Home | Libraries | People | FAQ | More

##### basic_flat_buffer::clear

Set the size of the readable and writable bytes to zero.

###### Synopsis

    void
    clear();

###### Description

This clears the buffer without changing capacity. Buffer sequences previously obtained using `basic_flat_buffer::data` or `basic_flat_buffer::prepare` become invalid.

###### Exception Safety

No-throw guarantee.